Get Files
Retrieves metadata for files associated with a specific issuer/organization.
This endpoint supports pagination and sorting options to efficiently navigate
through potentially large sets of file metadata.
Required scopes: files.read
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Start of the range, applied to the file’s original send date (sentAt), which a regenerated file keeps (format ISO8601). If not provided, defaults to current date minus 1 month.
End of the range, applied to the file’s original send date (sentAt), which a regenerated file keeps (format ISO8601). If not provided, defaults to current date.
File type to return. payoutReconciliationFile and its deprecated alias monthlyReconciliationFile return the same files; type on each record echoes the name used in the filter.
Cursor for forward pagination (next page).
Cursor for backward pagination (previous page).
If provided, response will be sorted by the specified fields. Defaults to descending sentDate, equivalent to “-sentDate”
Response
List of file metadata objects with their pre-signed URLs.